name: timesInput
type: object
meta:
    label:
        de: Zeitenauswahlfeld
        en: Time input
    dependsOn:
        eval: $parent?.inputWidgets?.includes('times')
    helperText:
        de: Selectfeld mit von - bis Angabe
        en: Select field with from - to specification

subFields:
    - name: times
      type: object[]
      meta:
          label: 
            de: Zeitenauswahl Möglichkeiten
            en: Time selection options
          helperText: 
            de: "Die Angaben werden in folgendes Übersetzt: Anfangspunkt - Endpunkt"
            en: "The information is translated into the following: starting point - end point"
          direction: horizontal
          widget: containerLessObjectArray

      subFields:
          - name: from
            type: string
            meta:
                label: 
                    de: Anfangspunkt
                    en: Starting point
                helperText:
                    de: Bspw. 14:30
                    en: E.g. 14:30
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"

          - name: to
            type: string
            meta:
                label: Endpunkt
                helperText:
                    de: Bspw. 15:30
                    en: E.g. 15:30
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"
    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml
